<ng-container *transloco="let t">
  <mat-list-item>
    <form
      [formGroup]="form"
      (ngSubmit)="create()"
      class="form"
      autocomplete="off"
    >
      <mat-form-field appearance="standard" class="field">
        <input
          matInput
          type="text"
          formControlName="name"
          placeholder="{{ t('createGroceryPlaceholder') }}"
          autocomplete="off"
        />
        <button
          matSuffix
          mat-icon-button
          type="submit"
          [disabled]="form.invalid"
          color="primary"
        >
          <mat-icon>add_circle_outline</mat-icon>
        </button>
      </mat-form-field>
    </form>
  </mat-list-item>
</ng-container>
